Get available pricing tiers for policy
curl --request GET \
--url https://api.example.com/view-specific/{policyId}/available-pricingimport requests
url = "https://api.example.com/view-specific/{policyId}/available-pricing"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/view-specific/{policyId}/available-pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tiers": [
{
"tierId": "<string>",
"pricing": {
"policy": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"basePrice": 123
},
"assets": [
{
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"options": {
"tier": "<string>",
"excess": "<string>",
"assetId": "<string>",
"perils": [
{
"id": "<string>",
"option": "<string>",
"available": true,
"unavailabilityMessage": "<string>"
}
],
"brokerageFees": [
{
"brokerageFirmId": "<string>",
"fee": 50
}
]
},
"basePrice": 123
}
]
},
"perils": [
{
"id": "<string>",
"included": true,
"options": [
"<string>"
],
"customFields": [
"<string>"
],
"defaultCustomFieldValues": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"breakdown": {
"total": {
"premiumPreFeesAndTaxes": 123,
"fees": 123,
"withFeesPreTaxes": 123,
"taxes": 123,
"withFeesAndTaxes": 123
},
"recurring": {
"premiumPreFeesAndTaxes": 123,
"fees": 123,
"withFeesPreTaxes": 123,
"taxes": 123,
"withFeesAndTaxes": 123
},
"oneTime": {
"premiumPreFeesAndTaxes": 123,
"fees": 123,
"withFeesPreTaxes": 123,
"taxes": 123,
"withFeesAndTaxes": 123
},
"lines": [
{
"key": "<string>",
"amount": 123,
"forTypes": [
"<string>"
],
"adjustedAmount": 123,
"subLines": [
{
"key": "<string>",
"amount": 123,
"forTypes": [
"<string>"
],
"adjustedAmount": 123
}
]
}
],
"totalLine": {
"key": "<string>",
"amount": 123,
"adjustedAmount": 123
},
"firstInvoiceTotal": {
"key": "<string>",
"amount": 123,
"adjustedAmount": 123
},
"renewalTotal": {
"key": "<string>",
"amount": 123,
"adjustedAmount": 123
}
},
"outputCustomFields": {
"policyCustomFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"assetCustomFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"customerCustomFields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}
],
"defaultTier": "<string>",
"selectedTier": "<string>",
"legacyMode": true
}{
"title": "INVALID_PRICING_DETAILS"
}{
"title": "POLICY_NOT_FOUND"
}view-specific
Get available pricing tiers for policy
GET
/
view-specific
/
{policyId}
/
available-pricing
Get available pricing tiers for policy
Path Parameters
Policy ID
Query Parameters
Branch ID (optional, defaults to latest)
Policy custom fields as JSON string (e.g. [{"key":"breed","value":"Arabian"}])
Asset custom fields as JSON string (e.g. [{"key":"equineValue","value":5000}])
Peril parameters as JSON string (e.g. {"peril-ASSISTANCE":true,"peril-GLASS_BREAKAGE":false})
Was this page helpful?
⌘I

